Create Stripe Product
curl --request POST \
--url https://api.example.com/api/payments/stripe/{environment}/catalog/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Pro Plan",
"description": "Monthly access to Pro features",
"active": true,
"metadata": {
"tier": "pro"
},
"idempotencyKey": "product-pro-plan"
}
'import requests
url = "https://api.example.com/api/payments/stripe/{environment}/catalog/products"
payload = {
"name": "Pro Plan",
"description": "Monthly access to Pro features",
"active": True,
"metadata": { "tier": "pro" },
"idempotencyKey": "product-pro-plan"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Pro Plan',
description: 'Monthly access to Pro features',
active: true,
metadata: {tier: 'pro'},
idempotencyKey: 'product-pro-plan'
})
};
fetch('https://api.example.com/api/payments/stripe/{environment}/catalog/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"productId": "prod_123",
"name": "<string>",
"description": "<string>",
"active": true,
"defaultPriceId": "price_123",
"metadata": {},
"syncedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}{
"error": "INVALID_INPUT",
"message": "environment: Invalid enum value",
"statusCode": 400,
"nextActions": "<string>"
}Stripe Payments
Create Stripe Product
Create a Stripe product in the requested environment, then mirror it locally after Stripe succeeds.
POST
/
api
/
payments
/
stripe
/
{environment}
/
catalog
/
products
Create Stripe Product
Authorizations
bearerAuthapiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Payment provider environment.
Available options:
test, live Body
application/json
Response
Product created
Show child attributes
Show child attributes
Was this page helpful?
⌘I